# class Puppet::Parser::AST::MatchOperator

### Attributes

lval[RW]
operator[RW]
rval[RW]

### Public Class Methods

new(hash) click to toggle source
Calls superclass method

    # File lib/puppet/parser/ast/match_operator.rb, line 22
    def initialize(hash)
      super

      raise ArgumentError, "Invalid regexp operator #{@operator}" unless %w{!~ =~}.include?(@operator)
    end

### Public Instance Methods

each() { |child| ... } click to toggle source

Iterate across all of our children.

    # File lib/puppet/parser/ast/match_operator.rb, line 10
    def each
      [@lval,@rval].each { |child| yield child }
    end

evaluate(scope) click to toggle source

Returns a boolean which is the result of the boolean operation of lval and rval operands

    # File lib/puppet/parser/ast/match_operator.rb, line 16
    def evaluate(scope)
      lval = @lval.safeevaluate(scope)

      return(rval.evaluate_match(lval, scope) ? @operator == "=~" : @operator == "!~")
    end